<?php
	include('quickcalc/functions.php');
	
	if ($_POST['action'] == 'calculate_bmi') {
		if (!checkValidChars($_POST['feet'],"0123456789")) {
			$error_div .= getResultDiv('Please enter only numbers for your height (feet)');
		} elseif (strlen($_POST['feet']) < 1) {
			$error_div .= getResultDiv('Please enter your height (feet)');
		}
		if (!checkValidChars($_POST['inches'],"0123456789")) {
			$error_div .= getResultDiv('Please enter only numbers for your height (inches)');
		} elseif (strlen($_POST['inches']) < 1) {
			$error_div .= getResultDiv('Please enter your height (inches)');
		}
		if (!checkValidChars($_POST['weight'],"0123456789")) {
			$error_div .= getResultDiv('Please enter only numbers for your weight');
		} elseif (strlen($_POST['weight']) < 1) {
			$error_div .= getResultDiv('Please enter your weight');
		}
		if (!checkValidChars($_POST['waist'],"0123456789")) {
			$error_div .= getResultDiv('Please enter only numbers for your waist (in inches)');
		} 
		$result_div .= $error_div;
		if ($error_div == '') {
			$h = $_POST['feet']*12 + $_POST['inches'];
			$w = $_POST['weight'];
			$bmi = ($w * 703) / pow($h,2);
			$bmi = round($bmi,2);
			if ($bmi < 18.5) {
				$under_on = '-on';
				$status = 'Underweight';
			} elseif ($bmi >=18.5 && $bmi < 24.9) {
				$norm_on = '-on';
				$status = 'Normal';
			} elseif ($bmi >= 24.9 && $bmi < 29.9) {
				if ($_POST['waist'] < 40) {
					$men_waist_status = 'increased';
				} else {
					$men_waist_status = 'high';
				}
				if ($_POST['waist'] < 35) {
					$women_waist_status = 'increased';
				} else {
					$women_waist_status = 'high';
				}
				$over_on = '-on';
				$status = 'Overweight';
			} else {
				if ($bmi > 30) {
					if ($_POST['waist'] < 40) {
						$men_waist_status = 'high';
					} else {
						$men_waist_status = 'very high';
					}
					if ($_POST['waist'] < 35) {
						$women_waist_status = 'high';
					} else {
						$women_waist_status = 'very high';
					}
				}
				if ($bmi > 35) {
					if ($_POST['waist'] < 40) {
						$men_waist_status = 'very high';
					} else {
						$men_waist_status = 'very high';
					}
					if ($_POST['waist'] < 35) {
						$women_waist_status = 'very high';
					} else {
						$women_waist_status = 'very high';
					}
				}
				if ($bmi > 40) {
					if ($_POST['waist'] < 40) {
						$men_waist_status = 'extremely high';
					} else {
						$men_waist_status = 'extremely high';
					}
					if ($_POST['waist'] < 35) {
						$women_waist_status = 'extremely high';
					} else {
						$women_waist_status = 'extremely high';
					}
				}
				$obese_on = '-on';
				$status = 'Obese';
			}
			if ($women_waist_status == '') {
				$women_waist_status = 'no higher risk';
			}
			if ($men_waist_status == '') {
				$men_waist_status = 'no higher risk';
			}
			if ($_POST['waist'] != '') {
				$waist_info = '<p><strong>Females:</strong><br />
					According to the National Heart, Lung and Blood Institute, your waist size in connection with your BMI status indicates that you are at <strong>' . $women_waist_status . '</strong> for type 2 diabetes, hypertension and CVD.</p>
					<p><strong>Males:</strong><br />
					According to the National Heart, Lung and Blood Institute, your waist size in connection with your BMI status indicates that you are at <strong>' . $men_waist_status . '</strong> for type 2 diabetes, hypertension and CVD.</p>';
			}
			$result_table = '
				<table class="wide">
					<tr>
						<td class="align-vertical">
							<div class="outer-result-div">
								<table class="results-table">
									<tr>
										<th>Class</th>
										<th>BMI</th>
									</tr>
									<tr>
										<td class="results-table-td' . $under_on . '">Underweight</td>
										<td class="results-table-td' . $under_on . '">Below 18.5M</td>
									</tr>
									<tr>
										<td class="results-table-td' . $norm_on . '">Normal</td>
										<td class="results-table-td' . $norm_on . '">18.5 - 24.9</td>
									</tr>
									<tr>
										<td class="results-table-td' . $over_on . '">Overweight</td>
										<td class="results-table-td' . $over_on . '">25.0 - 29.9</td>
									</tr>
									<tr>
										<td class="results-table-td' . $obese_on . '">Obesity</td>
										<td class="results-table-td' . $obese_on . '">Above 30.0</td>
									</tr>
								</table>
							</div>
						</td>
						<td class="wide align-vertical">
							<h2>Your Results</h2>
							<p>Your BMI (Body Mass Index) is <strong>' . $bmi . '</strong>, which means you classify as <strong>' . $status . '</strong>. Note that if you have a more athletic build, this could be over-estimated, since more of your body weight is muscle. If you have a less athletic build, then this BMI calculation may be under-estimated.</p>
							' . $waist_info . '
							<h3>More Information </h3>
							<p>The BMI as a measurement of health has significant limitations. For instance, it does not take into account genetic history or habits such as smoking and drinking. However, it is useful in connection with several other measurements to determine your risk for certain diseases including diabetes and heart disease. It is important to consult with a doctor before basing any nutritional decisions on the results of this calculator. </p>
							<h3>What is the BMI? </h3>
							<p>The BMI (Body Mass Index) was developed by a Belgium statistician by the name of Adolphe Quelet in the mid-19th-century. It is an internationally recognized measurement of weight status, though the table which relates the numeric value to the actual weight status varies in several countries. We use the categories established by the US Department of Health and Human Services. </p>
							<h3>Helpful Health Links</h3>
							<ul>
								<li><a href="www.nhlbi.nih.gov">The National Heart and Lung Association</a>: Good resource for health-related articles, fact sheets and more.</li>
								<li><a href="http://www.nhlbisupport.com/bmi/">The National Heart and Lung Association BMI Center</a>: If you want more information on the BMI, this is the place to go.</li>
							</ul>
							<p>&nbsp;</p>					<p>&nbsp;</p></td>
					</tr>
				</table>';
		}
	}
	if ($result_table == '') {
		$result_table = '<p>The results of your calculation will display here.</p>';
	}
?>
<html>
<head>
<title>Quick Health Calculator</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="quickcalc/styles.css" rel="stylesheet" type="text/css"></link>	
<script type="text/javascript" src="quickcalc/quickcalc.js"></script>
</head>

<body>
	<div class="banner align-center"><a href="http://www.my-health-and-fitness.org"><img src="quickcalc/banner.jpg" alt="My Health and Fitness.org" /></a></div>
	<h1>Quick Health Calculator</h1>
	<?php echo $result_div; ?>
	<p>Input your height, weight and waist size, and our calculator will generate an easy-to-read report on your general health status, based on the BMI (Body Mass Index) formula.</p>
	<form action="quickcalc.php" onsubmit="return checkform(this);"   method="post">
		<input type="hidden" name="action" value="calculate_bmi" />
		<table class="wide">
			<tr>
				<td class="third-width"></td>
				<td>
					<div class="outer-calc">
					<table class="wide calc-table">
						<tr>
							<td class="align-right">Height:</td>
							<td><input type="text" size="3" name="feet" value="<?php echo $_POST['feet']; ?>" /> ft., <input type="text" size="3" name="inches" value="<?php echo $_POST['inches']; ?>" /> in.</td>
						</tr>
						<tr>
							<td class="align-right">Weight:</td>
							<td><input type="text" size="5" name="weight" value="<?php echo $_POST['weight']; ?>" /> lbs</td>
						</tr>
						<tr>
							<td class="align-right">Waist:</td>
							<td><input type="text" size="5" name="waist" value="<?php echo $_POST['waist']; ?>" /> in. (optional)</td>
						</tr>
						<tr>
							<td class="align-center" colspan="2"><input type="submit" value="Calculate &gt;" /></td>
						</tr>
					</table>
					</div>
					<div class="acknowledgement">
						Powered by <a href="http://www.my-health-and-fitness.org">www.My-Health-And-Fitness.org</a>
					</div>
				</td>
				<td class="third-width"></td>
			</tr>
		</table>	
	</form>
	<hr />
	<?php echo $result_table; ?>
	<hr />
	<p><strong>&copy;<?php echo date('Y'); ?> <a href="http://www.my-health-and-fitness.org">www.My-Health-And-Fitness.org</a></strong></p>
</body>
</html>
